{
  "files": [
    "CHANGELOG.md",
    ".fixit.config.yaml",
    ".gitattributes",
    "MANIFEST.in",
    ".watchmanconfig",
    "zizmor.yml",
    "CONTRIBUTING.md",
    "README.rst",
    ".editorconfig",
    "setup.py",
    "pyproject.toml",
    ".readthedocs.yml",
    "CODE_OF_CONDUCT.md",
    "LICENSE",
    ".pyre_configuration",
    "MAINTAINERS.md",
    "apt.txt",
    "uv.lock",
    ".flake8",
    ".gitignore",
    ".github/PULL_REQUEST_TEMPLATE.md",
    ".github/dependabot.yml",
    ".github/build-matrix.json",
    ".github/workflows/zizmor.yml",
    ".github/workflows/ci.yml",
    ".github/workflows/build.yml",
    ".github/workflows/pypi_upload.yml",
    "libcst/_types.py",
    "libcst/_visitors.py",
    "libcst/_tabs.py",
    "libcst/_maybe_sentinel.py",
    "libcst/_typed_visitor.py",
    "libcst/_type_enforce.py",
    "libcst/py.typed",
    "libcst/__init__.py",
    "libcst/_add_slots.py",
    "libcst/_batched_visitor.py",
    "libcst/_flatten_sentinel.py",
    "libcst/_position.py",
    "libcst/_metadata_dependent.py",
    "libcst/_exceptions.py",
    "libcst/tool.py",
    "libcst/_removal_sentinel.py",
    "libcst/_typed_visitor_base.py",
    "libcst/display/text.py",
    "libcst/display/__init__.py",
    "libcst/display/graphviz.py",
    "libcst/display/tests/test_dump_graphviz.py",
    "libcst/display/tests/__init__.py",
    "libcst/display/tests/test_dump_text.py",
    "libcst/metadata/base_provider.py",
    "libcst/metadata/full_repo_manager.py",
    "libcst/metadata/position_provider.py",
    "libcst/metadata/wrapper.py",
    "libcst/metadata/type_inference_provider.py",
    "libcst/metadata/accessor_provider.py",
    "libcst/metadata/__init__.py",
    "libcst/metadata/span_provider.py",
    "libcst/metadata/name_provider.py",
    "libcst/metadata/reentrant_codegen.py",
    "libcst/metadata/file_path_provider.py",
    "libcst/metadata/scope_provider.py",
    "libcst/metadata/parent_node_provider.py",
    "libcst/metadata/expression_context_provider.py",
    "libcst/metadata/tests/test_metadata_provider.py",
    "libcst/metadata/tests/test_scope_provider.py",
    "libcst/metadata/tests/test_file_path_provider.py",
    "libcst/metadata/tests/test_expression_context_provider.py",
    "libcst/metadata/tests/test_position_provider.py",
    "libcst/metadata/tests/test_base_provider.py",
    "libcst/metadata/tests/test_full_repo_manager.py",
    "libcst/metadata/tests/__init__.py",
    "libcst/metadata/tests/test_parent_node_provider.py",
    "libcst/metadata/tests/test_type_inference_provider.py",
    "libcst/metadata/tests/test_reentrant_codegen.py",
    "libcst/metadata/tests/test_name_provider.py",
    "libcst/metadata/tests/test_accessor_provider.py",
    "libcst/metadata/tests/test_metadata_wrapper.py",
    "libcst/metadata/tests/test_span_provider.py",
    "libcst/codemod/_visitor.py",
    "libcst/codemod/_runner.py",
    "libcst/codemod/_cli.py",
    "libcst/codemod/_testing.py",
    "libcst/codemod/__init__.py",
    "libcst/codemod/_command.py",
    "libcst/codemod/_dummy_pool.py",
    "libcst/codemod/_context.py",
    "libcst/codemod/_codemod.py",
    "libcst/codemod/commands/convert_format_to_fstring.py",
    "libcst/codemod/commands/convert_percent_format_to_fstring.py",
    "libcst/codemod/commands/convert_namedtuple_to_dataclass.py",
    "libcst/codemod/commands/add_pyre_directive.py",
    "libcst/codemod/commands/unnecessary_format_string.py",
    "libcst/codemod/commands/rename_typing_generic_aliases.py",
    "libcst/codemod/commands/add_trailing_commas.py",
    "libcst/codemod/commands/__init__.py",
    "libcst/codemod/commands/remove_pyre_directive.py",
    "libcst/codemod/commands/strip_strings_from_types.py",
    "libcst/codemod/commands/rename.py",
    "libcst/codemod/commands/noop.py",
    "libcst/codemod/commands/fix_pyre_directives.py",
    "libcst/codemod/commands/remove_unused_imports.py",
    "libcst/codemod/commands/convert_type_comments.py",
    "libcst/codemod/commands/fix_variadic_callable.py",
    "libcst/codemod/commands/ensure_import_present.py",
    "libcst/codemod/commands/convert_union_to_or.py",
    "libcst/codemod/commands/tests/test_rename_typing_generic_aliases.py",
    "libcst/codemod/commands/tests/test_remove_pyre_directive.py",
    "libcst/codemod/commands/tests/test_convert_format_to_fstring.py",
    "libcst/codemod/commands/tests/test_convert_union_to_or.py",
    "libcst/codemod/commands/tests/test_unnecessary_format_string.py",
    "libcst/codemod/commands/tests/test_convert_type_comments.py",
    "libcst/codemod/commands/tests/test_noop.py",
    "libcst/codemod/commands/tests/test_add_trailing_commas.py",
    "libcst/codemod/commands/tests/__init__.py",
    "libcst/codemod/commands/tests/test_rename.py",
    "libcst/codemod/commands/tests/test_fix_pyre_directives.py",
    "libcst/codemod/commands/tests/test_add_pyre_directive.py",
    "libcst/codemod/commands/tests/test_strip_strings_from_types.py",
    "libcst/codemod/commands/tests/test_remove_unused_imports.py",
    "libcst/codemod/commands/tests/test_ensure_import_present.py",
    "libcst/codemod/commands/tests/test_fix_variadic_callable.py",
    "libcst/codemod/commands/tests/test_convert_percent_format_to_fstring.py",
    "libcst/codemod/commands/tests/test_convert_namedtuple_to_dataclass.py",
    "libcst/codemod/tests/test_codemod.py",
    "libcst/codemod/tests/test_runner.py",
    "libcst/codemod/tests/codemod_formatter_error_input.py.txt",
    "libcst/codemod/tests/__init__.py",
    "libcst/codemod/tests/test_metadata.py",
    "libcst/codemod/tests/test_codemod_cli.py",
    "libcst/codemod/tests/test_command_helpers.py",
    "libcst/codemod/visitors/_gather_imports.py",
    "libcst/codemod/visitors/_imports.py",
    "libcst/codemod/visitors/_remove_imports.py",
    "libcst/codemod/visitors/_gather_comments.py",
    "libcst/codemod/visitors/_gather_global_names.py",
    "libcst/codemod/visitors/_gather_unused_imports.py",
    "libcst/codemod/visitors/_add_imports.py",
    "libcst/codemod/visitors/__init__.py",
    "libcst/codemod/visitors/_gather_string_annotation_names.py",
    "libcst/codemod/visitors/_apply_type_annotations.py",
    "libcst/codemod/visitors/_gather_exports.py",
    "libcst/codemod/visitors/tests/test_add_imports.py",
    "libcst/codemod/visitors/tests/test_gather_global_names.py",
    "libcst/codemod/visitors/tests/test_gather_string_annotation_names.py",
    "libcst/codemod/visitors/tests/test_gather_comments.py",
    "libcst/codemod/visitors/tests/test_gather_exports.py",
    "libcst/codemod/visitors/tests/test_gather_unused_imports.py",
    "libcst/codemod/visitors/tests/__init__.py",
    "libcst/codemod/visitors/tests/test_gather_imports.py",
    "libcst/codemod/visitors/tests/test_apply_type_annotations.py",
    "libcst/codemod/visitors/tests/test_remove_imports.py",
    "libcst/_parser/entrypoints.py",
    "libcst/_parser/base_parser.py",
    "libcst/_parser/wrapped_tokenize.py",
    "libcst/_parser/grammar.py",
    "libcst/_parser/custom_itertools.py",
    "libcst/_parser/__init__.py",
    "libcst/_parser/_parsing_check.py",
    "libcst/_parser/whitespace_parser.py",
    "libcst/_parser/python_parser.py",
    "libcst/_parser/detect_config.py",
    "libcst/_parser/production_decorator.py",
    "libcst/_parser/py_whitespace_parser.py",
    "libcst/_parser/types/py_whitespace_state.py",
    "libcst/_parser/types/py_token.py",
    "libcst/_parser/types/conversions.py",
    "libcst/_parser/types/production.py",
    "libcst/_parser/types/config.py",
    "libcst/_parser/types/__init__.py",
    "libcst/_parser/types/token.py",
    "libcst/_parser/types/whitespace_state.py",
    "libcst/_parser/types/py_config.py",
    "libcst/_parser/types/partials.py",
    "libcst/_parser/types/tests/__init__.py",
    "libcst/_parser/types/tests/test_config.py",
    "libcst/_parser/tests/test_whitespace_parser.py",
    "libcst/_parser/tests/test_detect_config.py",
    "libcst/_parser/tests/test_node_identity.py",
    "libcst/_parser/tests/__init__.py",
    "libcst/_parser/tests/test_wrapped_tokenize.py",
    "libcst/_parser/tests/test_footer_behavior.py",
    "libcst/_parser/tests/test_version_compare.py",
    "libcst/_parser/tests/test_parse_errors.py",
    "libcst/_parser/tests/test_config.py",
    "libcst/_parser/conversions/statement.py",
    "libcst/_parser/conversions/__init__.py",
    "libcst/_parser/conversions/module.py",
    "libcst/_parser/conversions/terminals.py",
    "libcst/_parser/conversions/README.md",
    "libcst/_parser/conversions/expression.py",
    "libcst/_parser/conversions/params.py",
    "libcst/_parser/parso/__init__.py",
    "libcst/_parser/parso/utils.py",
    "libcst/_parser/parso/python/py_token.py",
    "libcst/_parser/parso/python/__init__.py",
    "libcst/_parser/parso/python/token.py",
    "libcst/_parser/parso/python/tokenize.py",
    "libcst/_parser/parso/tests/test_tokenize.py",
    "libcst/_parser/parso/tests/__init__.py",
    "libcst/_parser/parso/tests/test_fstring.py",
    "libcst/_parser/parso/tests/test_utils.py",
    "libcst/_parser/parso/pgen2/grammar_parser.py",
    "libcst/_parser/parso/pgen2/__init__.py",
    "libcst/_parser/parso/pgen2/generator.py",
    "libcst/tests/test_batched_visitor.py",
    "libcst/tests/test_roundtrip.py",
    "libcst/tests/test_visitor.py",
    "libcst/tests/__init__.py",
    "libcst/tests/test_add_slots.py",
    "libcst/tests/test_type_enforce.py",
    "libcst/tests/test_exceptions.py",
    "libcst/tests/test_pyre_integration.py",
    "libcst/tests/test_deep_replace.py",
    "libcst/tests/test_fuzz.py",
    "libcst/tests/__main__.py",
    "libcst/tests/test_import.py",
    "libcst/tests/test_tabs.py",
    "libcst/tests/test_deep_clone.py",
    "libcst/tests/test_e2e.py",
    "libcst/tests/pyre/simple_class.py",
    "libcst/tests/pyre/.pyre_configuration",
    "libcst/tests/pyre/simple_class.json",
    "libcst/_nodes/whitespace.py",
    "libcst/_nodes/statement.py",
    "libcst/_nodes/__init__.py",
    "libcst/_nodes/op.py",
    "libcst/_nodes/module.py",
    "libcst/_nodes/deep_equals.py",
    "libcst/_nodes/expression.py",
    "libcst/_nodes/base.py",
    "libcst/_nodes/internal.py",
    "libcst/_nodes/tests/test_list.py",
    "libcst/_nodes/tests/test_if.py",
    "libcst/_nodes/tests/test_ifexp.py",
    "libcst/_nodes/tests/test_type_alias.py",
    "libcst/_nodes/tests/test_removal_behavior.py",
    "libcst/_nodes/tests/test_matrix_multiply.py",
    "libcst/_nodes/tests/test_nonlocal.py",
    "libcst/_nodes/tests/test_dict.py",
    "libcst/_nodes/tests/test_match.py",
    "libcst/_nodes/tests/test_simple_statement.py",
    "libcst/_nodes/tests/test_for.py",
    "libcst/_nodes/tests/test_simple_comp.py",
    "libcst/_nodes/tests/test_attribute.py",
    "libcst/_nodes/tests/test_boolean_op.py",
    "libcst/_nodes/tests/test_assert.py",
    "libcst/_nodes/tests/test_raise.py",
    "libcst/_nodes/tests/test_with.py",
    "libcst/_nodes/tests/test_call.py",
    "libcst/_nodes/tests/test_else.py",
    "libcst/_nodes/tests/test_while.py",
    "libcst/_nodes/tests/test_await.py",
    "libcst/_nodes/tests/test_del.py",
    "libcst/_nodes/tests/test_atom.py",
    "libcst/_nodes/tests/test_unary_op.py",
    "libcst/_nodes/tests/__init__.py",
    "libcst/_nodes/tests/test_newline.py",
    "libcst/_nodes/tests/test_try.py",
    "libcst/_nodes/tests/test_cst_node.py",
    "libcst/_nodes/tests/test_yield.py",
    "libcst/_nodes/tests/test_comparison.py",
    "libcst/_nodes/tests/test_lambda.py",
    "libcst/_nodes/tests/test_simple_string.py",
    "libcst/_nodes/tests/test_global.py",
    "libcst/_nodes/tests/test_dict_comp.py",
    "libcst/_nodes/tests/test_small_statement.py",
    "libcst/_nodes/tests/test_indented_block.py",
    "libcst/_nodes/tests/test_docstring.py",
    "libcst/_nodes/tests/test_funcdef.py",
    "libcst/_nodes/tests/test_tuple.py",
    "libcst/_nodes/tests/test_binary_op.py",
    "libcst/_nodes/tests/test_simple_whitespace.py",
    "libcst/_nodes/tests/test_template_strings.py",
    "libcst/_nodes/tests/test_flatten_behavior.py",
    "libcst/_nodes/tests/test_module.py",
    "libcst/_nodes/tests/test_subscript.py",
    "libcst/_nodes/tests/test_return.py",
    "libcst/_nodes/tests/test_leaf_small_statements.py",
    "libcst/_nodes/tests/test_empty_line.py",
    "libcst/_nodes/tests/test_import.py",
    "libcst/_nodes/tests/test_classdef.py",
    "libcst/_nodes/tests/test_comment.py",
    "libcst/_nodes/tests/test_trailing_whitespace.py",
    "libcst/_nodes/tests/test_namedexpr.py",
    "libcst/_nodes/tests/test_assign.py",
    "libcst/_nodes/tests/test_set.py",
    "libcst/_nodes/tests/test_number.py",
    "libcst/_nodes/tests/base.py",
    "libcst/testing/__init__.py",
    "libcst/testing/utils.py",
    "libcst/codegen/gen_type_mapping.py",
    "libcst/codegen/transforms.py",
    "libcst/codegen/__init__.py",
    "libcst/codegen/generate.py",
    "libcst/codegen/gen_matcher_classes.py",
    "libcst/codegen/gather.py",
    "libcst/codegen/gen_visitor_functions.py",
    "libcst/codegen/tests/__init__.py",
    "libcst/codegen/tests/test_codegen_clean.py",
    "libcst/helpers/common.py",
    "libcst/helpers/_template.py",
    "libcst/helpers/__init__.py",
    "libcst/helpers/matchers.py",
    "libcst/helpers/module.py",
    "libcst/helpers/node_fields.py",
    "libcst/helpers/expression.py",
    "libcst/helpers/paths.py",
    "libcst/helpers/tests/test_node_fields.py",
    "libcst/helpers/tests/test_expression.py",
    "libcst/helpers/tests/test_matchers.py",
    "libcst/helpers/tests/__init__.py",
    "libcst/helpers/tests/test_paths.py",
    "libcst/helpers/tests/test_module.py",
    "libcst/helpers/tests/test_template.py",
    "libcst/matchers/_visitors.py",
    "libcst/matchers/__init__.py",
    "libcst/matchers/_matcher_base.py",
    "libcst/matchers/_decorators.py",
    "libcst/matchers/_return_types.py",
    "libcst/matchers/tests/test_matchers_with_metadata.py",
    "libcst/matchers/tests/test_matchers.py",
    "libcst/matchers/tests/test_decorators.py",
    "libcst/matchers/tests/__init__.py",
    "libcst/matchers/tests/test_replace.py",
    "libcst/matchers/tests/test_extract.py",
    "libcst/matchers/tests/test_visitors.py",
    "libcst/matchers/tests/test_findall.py",
    "native/Cargo.lock",
    "native/roundtrip.sh",
    "native/Cargo.toml",
    "native/libcst/Grammar",
    "native/libcst/LICENSE",
    "native/libcst/README.md",
    "native/libcst/Cargo.toml",
    "native/libcst/tests/parser_roundtrip.rs",
    "native/libcst/tests/.gitattributes",
    "native/libcst/tests/fixtures/dangling_indent.py",
    "native/libcst/tests/fixtures/decorated_function_without_body.py",
    "native/libcst/tests/fixtures/pep798_unpack_comprehensions.py",
    "native/libcst/tests/fixtures/vast_emptiness.py",
    "native/libcst/tests/fixtures/type_parameters.py",
    "native/libcst/tests/fixtures/pep810_lazy_imports.py",
    "native/libcst/tests/fixtures/import.py",
    "native/libcst/tests/fixtures/pep646.py",
    "native/libcst/tests/fixtures/tuple_shenanigans.py",
    "native/libcst/tests/fixtures/with_wickedness.py",
    "native/libcst/tests/fixtures/trailing_whitespace.py",
    "native/libcst/tests/fixtures/expr_statement.py",
    "native/libcst/tests/fixtures/dysfunctional_del.py",
    "native/libcst/tests/fixtures/starry_tries.py",
    "native/libcst/tests/fixtures/match_unary_plus.py",
    "native/libcst/tests/fixtures/just_a_comment_without_nl.py",
    "native/libcst/tests/fixtures/smol_statements.py",
    "native/libcst/tests/fixtures/pep798_dict_unpack_comp.py",
    "native/libcst/tests/fixtures/raise.py",
    "native/libcst/tests/fixtures/spacious_spaces.py",
    "native/libcst/tests/fixtures/wonky_walrus.py",
    "native/libcst/tests/fixtures/trailing_comment_without_nl.py",
    "native/libcst/tests/fixtures/super_strings.py",
    "native/libcst/tests/fixtures/global_nonlocal.py",
    "native/libcst/tests/fixtures/indents_but_no_eol_before_eof.py",
    "native/libcst/tests/fixtures/mixed_newlines.py",
    "native/libcst/tests/fixtures/class_craziness.py",
    "native/libcst/tests/fixtures/comments.py",
    "native/libcst/tests/fixtures/suicidal_slices.py",
    "native/libcst/tests/fixtures/expr.py",
    "native/libcst/tests/fixtures/comparisons.py",
    "native/libcst/tests/fixtures/terrible_tries.py",
    "native/libcst/tests/fixtures/fun_with_func_defs.py",
    "native/libcst/tests/fixtures/malicious_match.py",
    "native/libcst/tests/fixtures/big_binary_operator.py",
    "native/libcst/src/lib.rs",
    "native/libcst/src/py.rs",
    "native/libcst/src/bin.rs",
    "native/libcst/src/tokenizer/mod.rs",
    "native/libcst/src/tokenizer/tests.rs",
    "native/libcst/src/tokenizer/operators.rs",
    "native/libcst/src/tokenizer/debug_utils.rs",
    "native/libcst/src/tokenizer/whitespace_parser.rs",
    "native/libcst/src/tokenizer/text_position/mod.rs",
    "native/libcst/src/tokenizer/text_position/char_width.rs",
    "native/libcst/src/tokenizer/core/mod.rs",
    "native/libcst/src/tokenizer/core/string_types.rs",
    "native/libcst/src/tokenizer/core/LICENSE",
    "native/libcst/src/tokenizer/core/README.md",
    "native/libcst/src/parser/mod.rs",
    "native/libcst/src/parser/grammar.rs",
    "native/libcst/src/parser/numbers.rs",
    "native/libcst/src/parser/errors.rs",
    "native/libcst/src/nodes/mod.rs",
    "native/libcst/src/nodes/statement.rs",
    "native/libcst/src/nodes/whitespace.rs",
    "native/libcst/src/nodes/expression.rs",
    "native/libcst/src/nodes/py_cached.rs",
    "native/libcst/src/nodes/op.rs",
    "native/libcst/src/nodes/parser_config.rs",
    "native/libcst/src/nodes/test_utils.rs",
    "native/libcst/src/nodes/module.rs",
    "native/libcst/src/nodes/macros.rs",
    "native/libcst/src/nodes/traits.rs",
    "native/libcst/src/nodes/inflate_helpers.rs",
    "native/libcst/src/nodes/codegen.rs",
    "native/libcst/benches/parser_benchmark.rs",
    "native/libcst_derive/LICENSE",
    "native/libcst_derive/Cargo.toml",
    "native/libcst_derive/tests/pass/simple.rs",
    "native/libcst_derive/tests/pass/minimal_cst.rs",
    "native/libcst_derive/src/lib.rs",
    "native/libcst_derive/src/inflate.rs",
    "native/libcst_derive/src/parenthesized_node.rs",
    "native/libcst_derive/src/into_py.rs",
    "native/libcst_derive/src/cstnode.rs",
    "native/libcst_derive/src/codegen.rs",
    "stubs/setuptools.pyi",
    "stubs/hypothesis.pyi",
    "stubs/typing_inspect.pyi",
    "stubs/hypothesmith.pyi",
    "stubs/tokenize.pyi",
    "stubs/libcst/native.pyi",
    "stubs/libcst_native/whitespace_parser.pyi",
    "stubs/libcst_native/token_type.pyi",
    "stubs/libcst_native/parser_config.pyi",
    "stubs/libcst_native/tokenize.pyi",
    "stubs/libcst_native/whitespace_state.pyi",
    "scripts/regenerate-fixtures.py",
    "scripts/check_copyright.py",
    ".cargo/config.toml",
    "docs/source/index.rst",
    "docs/source/conf.py",
    "docs/source/motivation.rst",
    "docs/source/nodes.rst",
    "docs/source/metadata.rst",
    "docs/source/metadata_tutorial.ipynb",
    "docs/source/codemods_tutorial.rst",
    "docs/source/tutorial.ipynb",
    "docs/source/scope_tutorial.ipynb",
    "docs/source/matchers_tutorial.ipynb",
    "docs/source/parser.rst",
    "docs/source/experimental.rst",
    "docs/source/helpers.rst",
    "docs/source/best_practices.rst",
    "docs/source/why_libcst.rst",
    "docs/source/matchers.rst",
    "docs/source/codemods.rst",
    "docs/source/visitors.rst",
    "docs/source/_static/custom.css",
    "docs/source/_static/img/python_scopes.svg",
    "docs/source/_static/img/python_scopes.png",
    "docs/source/_static/logo/favicon_32px.png",
    "docs/source/_static/logo/favicon.ico",
    "docs/source/_static/logo/icon.svg",
    "docs/source/_static/logo/favicon.svg",
    "docs/source/_static/logo/horizontal_white_sidebar.png",
    "docs/source/_static/logo/favicon_16px.png",
    "docs/source/_static/logo/vertical_white.svg",
    "docs/source/_static/logo/vertical.svg",
    "docs/source/_static/logo/icon_white.svg",
    "docs/source/_static/logo/horizontal_white.svg",
    "docs/source/_static/logo/horizontal.svg",
    "docs/source/_templates/page.html"
  ]
}
